Delete the Assets

DELETE
https://api.woosmap.com/stores

Used to delete one or more assets. The storeId specified in query parameter is the id of the asset to delete. To delete several assets, use the comma as a separator. To delete all project assets, omit the query parameter.

Authorization

private_key
apiKey query

A Private key generated specifically to authenticate API requests on server side. Required for Data management API. See how to register a Private API Key.

Query Parameters

query
string

The query to target assets ID to delete

Example: idstore:[{storeId1},{storeId2}]

Response

200 application/json

Assets successfully deleted

status
string

the status of the 200 response

Example: success
value
string | integer

The value of request for this 200 response

Example: 129 stores

Errors

401

Unauthorized. Incorrect authentication credentials.

application/json
detail
string

Details for the credentials error

Example: Incorrect authentication credentials. Please check or use a valid API Key
403

Forbidden. This Woosmap API is not enabled for this project.

application/json
detail
string

Details for the forbidden error message

Example: This Woosmap API is not enabled for this project.
        curl -L -X DELETE 'https://api.woosmap.com/stores/?private_key=YOUR_PRIVATE_API_KEY'

    
        import requests

url = "https://api.woosmap.com/stores/?private_key=YOUR_PRIVATE_API_KEY"

payload = {}
headers = {}

response = requests.request("DELETE", url, headers=headers, data=payload)

print(response.text)


    
        const axios = require('axios');

let config = {
  method: 'delete',
  maxBodyLength: Infinity,
  url: 'https://api.woosmap.com/stores/?private_key=YOUR_PRIVATE_API_KEY',
  headers: { }
};

axios.request(config)
.then((response) => {
  console.log(JSON.stringify(response.data));
})
.catch((error) => {
  console.log(error);
});


    
        
{
"status": "success",
"value": 2
}
        
{
"detail": "Incorrect authentication credentials. Please check or use a valid API Key"
}
        
{
"detail": "This Woosmap API is not enabled for this project."
}
Was this helpful?